at.chipkarte.client.elgaad.soap

## Class Guardian

- Object
- - at.chipkarte.client.elgaad.soap.Guardian

-     public class Guardian
      extends Object

  Daten zum Sachwalter/Vormund.
  Das Objekt wird in unterschiedlichen Funktionen und Objekten verwendet. Die Angabe- bzw. Versorgungsbedingungen der einzelnen Parameter sind dabei abhängig ob das Objekt für die Eingabe oder Ausgabe verwendet wird.
  Die Bedingungen für die Angabe bei Nutzung als Eingabeobjekt, sind für dieses Objekt bei den Parametern unter "Eingabebedingung" angegeben. Hierbei wird zusätzlich unterschieden, ob Guardian zwecks "Erfassung" oder "Änderung" angegeben wird.
  Die Bedingungen für die Befüllung der Parameter bei Nutzung als Ausgabeobjekt, sind bei den Parametern unter "Ausgabebedingung" angegeben.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Guardian()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Adresse` | `getAdresse()` Adresse des Sachwalters/Vormunds.
    `Name` | `getSachwalterName()` Name des Sachwalters/Vormunds.
    `String` | `getSachwalterOrganisationName()` Name der Organisation des Sachwalters/Vormunds.
    `String[]` | `getTelecomList()` Kontaktdaten (zum Beispiel Telefonnummer, Mailadresse).
    `void` | `setAdresse(Adresse adresse)`
    `void` | `setSachwalterName(Name sachwalterName)`
    `void` | `setSachwalterOrganisationName(String sachwalterOrganisationName)`
    `void` | `setTelecomList(String[] telecomList)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Guardian

          public Guardian()

  - ### Method Detail

    - #### getAdresse

          public Adresse getAdresse()

      Adresse des Sachwalters/Vormunds. Siehe `Adresse`.
      Eingabebedingung:
      Erfassung: Kann.
      Änderung: Kann.
      Ausgabebedingung: Kann.
      Returns:
        Adresse

    - #### getTelecomList

          public String[] getTelecomList()

      Kontaktdaten (zum Beispiel Telefonnummer, Mailadresse).
      Eingabebedingung:
      Erfassung: Kann.
      Änderung: Kann.
      Ausgabebedingung: Kann.
      Format: Präfix gemäß Value-Set "ELGA_URLScheme" (siehe Terminologieserver) gefolgt vom tatsächlichem Wert
      Beispiele: Telefonnummer - "tel:+43 1 40400", E-Mail: "mailto:office@organisation.at"
      Returns:
        Liste von Kontaktdaten

    - #### getSachwalterName

          public Name getSachwalterName()

      Name des Sachwalters/Vormunds. Siehe `Name`.
      Eingabebedingung:
      Erfassung: Es muss entweder Sachwalter-Name oder Sachwalter-Organisation-Name versorgt werden.
      Änderung: Es muss entweder Sachwalter-Name oder Sachwalter-Organisation-Name versorgt werden.
      Ausgabebedingung: Es ist entweder Sachwalter-Name oder Sachwalter-Organisation-Name versorgt werden.
      Returns:
        Name Sachwalter/Vormund

    - #### getSachwalterOrganisationName

          public String getSachwalterOrganisationName()

      Name der Organisation des Sachwalters/Vormunds. Eingabebedingung:
      Erfassung: Es muss entweder Sachwalter-Name oder Sachwalter-Organisation-Name versorgt werden.
      Änderung: Es muss entweder Sachwalter-Name oder Sachwalter-Organisation-Name versorgt werden.
      Ausgabebedingung: Es ist entweder Sachwalter-Name oder Sachwalter-Organisation-Name versorgt werden.
      Format: alphanumerisch
      Returns:
        Organisationsname

    - #### setAdresse

          public void setAdresse(Adresse adresse)

    - #### setTelecomList

          public void setTelecomList(String[] telecomList)

    - #### setSachwalterName

          public void setSachwalterName(Name sachwalterName)

    - #### setSachwalterOrganisationName

          public void setSachwalterOrganisationName(String sachwalterOrganisationName)